Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## testjdt3
Enum Decision.Values

    java.lang.Object
      java.lang.Enum<Decision.Values>
          testjdt3.Decision.Values

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Decision.Values>

Enclosing class:
  Decision

    public static enum Decision.Values

extends java.lang.Enum<Decision.Values>

Three logical values.

Author:
  jroyer

Enum Constant Summary
`COMP`
`DATA`
`UNDEF`

Method Summary
`static Decision.Values` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Decision.Values[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### COMP

    public static final Decision.Values COMP

### DATA

    public static final Decision.Values DATA

### UNDEF

    public static final Decision.Values UNDEF

Method Detail

### values

    public static final Decision.Values[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Decision.Values c : Decision.Values.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Decision.Values valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD